API referenceTimeseries
POST /api/Timeseries/MathEditorTemplate/GetByIds
Retrieves math editor templates by a list of IDs. Pass an empty list to return all templates.
POST
/api/Timeseries/MathEditorTemplate/GetByIdscurl -X POST "/api/Timeseries/MathEditorTemplate/GetByIds" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1,
2,
3
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
Returns the math editor templates matching the requested IDs.
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>dataAtlas.SDK.Timeseries.Models.MathEditor.MathEditorTemplateDto[] | null
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": [
{
"id": 0,
"guid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"module": 1,
"description": "string",
"formula": "string",
"createdAt": "2026-01-15T09:30:00Z",
"modifiedAt": "2026-01-15T09:30:00Z",
"createdBy": "string",
"isSimulation": true,
"inputs": [
{
"fieldType": 1,
"fieldTypeName": "string",
"objectType": 1,
"objectTypeName": "string",
"unitOfMeasurement": 1,
"unitOfMeasurementName": "string",
"name": "string",
"description": "string",
"order": 0,
"isRequired": true,
"defaultValue": null
}
],
"inputRepresentation": "string",
"output": {
"fieldType": 1,
"fieldTypeName": "string",
"objectType": 1,
"objectTypeName": "string",
"unitOfMeasurement": 1,
"unitOfMeasurementName": "string"
}
}
]
}